#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1.1
visibility:           public
id:                   structured-0.1.1-HK2cGaKOVY5JufhCe8ReXZ
key:                  structured-0.1.1-HK2cGaKOVY5JufhCe8ReXZ
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  37d14249af1d8001e9962e495e2b7e0b
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-9.0.1/site-local/structured-0.1.1
library-dirs:         /usr/lib/ghc-9.0.1/site-local/structured-0.1.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-9.0.1/structured-0.1.1
hs-libraries:         HSstructured-0.1.1-HK2cGaKOVY5JufhCe8ReXZ
depends:
    aeson-1.5.6.0-Hu48mgwBrEQKjw91bueUbm array-0.5.4.0 base-4.15.0.0
    base16-bytestring-1.0.1.0-2afh9UEVyJi56OJehbA0Qt binary-0.8.8.0
    bytestring-0.10.12.1 containers-0.6.4.1
    hashable-1.3.3.0-23uoxU4x6MLFe9vf4ULvQk
    scientific-0.3.7.0-EaDwkzCxpqX9NV16Z7isyG
    tagged-0.8.6.1-FL843C40q4d1DeuwYADr25 text-1.2.4.1
    time-compat-1.9.6.1-FG1vxonblFBCprcW40t5n7 transformers-0.5.6.2
    unordered-containers-0.2.14.0-7LMDP5QPSZY4o6Vs5H6SAe
    uuid-types-1.0.5-6WsIQt5RYyY2BwtznwsCme
    vector-0.12.3.1-7avVqi4S14u4vwRbDqmIKr

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

